cudnn_frontend::PointWiseDesc_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_PointWiseDesc.h
friend class friend class PointWiseDescBuilder_v8 PointWiseDescBuilder_v8 cudnn_frontend::PointWiseDescBuilder_v8::build
cudnnDataType_t cudnnDataType_t cudnn_frontend::PointWiseDesc_v8::math_precision math_precision = CUDNN_DATA_FLOAT describe
cudnnPointwiseMode_t cudnnPointwiseMode_t cudnn_frontend::PointWiseDesc_v8::mode mode = CUDNN_POINTWISE_ADD describe getPointWiseMode getPortCount
cudnnNanPropagation_t cudnnNanPropagation_t cudnn_frontend::PointWiseDesc_v8::nan_propagation nan_propagation = CUDNN_NOT_PROPAGATE_NAN
double double cudnn_frontend::PointWiseDesc_v8::upper_clip upper_clip = std::numeric_limits<double>::max()
double double cudnn_frontend::PointWiseDesc_v8::lower_clip lower_clip = 0.0
double double cudnn_frontend::PointWiseDesc_v8::lower_clip_slope lower_clip_slope = 0.0
double double cudnn_frontend::PointWiseDesc_v8::elu_alpha elu_alpha = 1.0
double double cudnn_frontend::PointWiseDesc_v8::softplus_beta softplus_beta = 1.0
double double cudnn_frontend::PointWiseDesc_v8::swish_beta swish_beta = 1.0
std::string std::string cudnn_frontend::PointWiseDesc_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

math_precision
mode
int64_t int64_t cudnn_frontend::PointWiseDesc_v8::getPortCount () const getPortCount mode
cudnnPointwiseMode_t cudnnPointwiseMode_t cudnn_frontend::PointWiseDesc_v8::getPointWiseMode () const getPointWiseMode mode operator= PointWiseDesc_v8 ~PointWiseDesc_v8
cudnn_frontend::PointWiseDesc_v8::PointWiseDesc_v8
(PointWiseDesc_v8 &&from)=default
PointWiseDesc_v8
PointWiseDesc_v8 && from
PointWiseDesc_v8 & PointWiseDesc_v8& cudnn_frontend::PointWiseDesc_v8::operator= (PointWiseDesc_v8 &&from)=default operator= PointWiseDesc_v8 && from cudnn_frontend::PointWiseDescBuilder_v8::build getPointWiseMode
cudnn_frontend::PointWiseDesc_v8::~PointWiseDesc_v8
()=default
~PointWiseDesc_v8
getPointWiseMode
cudnn_frontend::PointWiseDesc_v8::PointWiseDesc_v8
()=default
PointWiseDesc_v8
getPointWiseMode
cudnn_frontend::PointWiseDesc_v8::PointWiseDesc_v8
(PointWiseDesc_v8 const &)=delete
PointWiseDesc_v8
PointWiseDesc_v8 const &
PointWiseDesc_v8 & PointWiseDesc_v8& cudnn_frontend::PointWiseDesc_v8::operator= (PointWiseDesc_v8 const &)=delete operator= PointWiseDesc_v8 const &

PointWiseDesc Descriptor Class This class tells the properties of the PointWise operation Properties:

- math_precision

- mode

- nan_propagation

- upper_clip

- lower_clip

- lower_clip_slope

- elu_alpha

- softplus_beta

- swish_beta

Use PointWiseDesc_v8 to build this class. Describe returns a string describing the PointWise operation

cudnn_frontend::BackendDescriptor
cudnn_frontend::PointWiseDesc_v8
shared_ptr< OpaqueBackendPointer >
cudnnPointwiseMode_t
cudnnStatus_t
std::basic_string< char >
double
cudnnNanPropagation_t
cudnnDataType_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
cudnn_frontend::PointWiseDesc_v8
-upper_clip
-swish_beta
-lower_clip_slope
-lower_clip
-elu_alpha
-softplus_beta
-nan_propagation
-mode
-math_precision
std::string
- cudnn_frontend::PointWiseDesc_v8
  BackendDescriptor
- cudnn_frontend::PointWiseDesc_v8
  BackendDescriptor
- cudnn_frontend::PointWiseDesc_v8
  describe
- cudnn_frontend::PointWiseDesc_v8
  elu_alpha
- cudnn_frontend::PointWiseDesc_v8
  err_msg
- cudnn_frontend::PointWiseDesc_v8
  get_desc
- cudnn_frontend::PointWiseDesc_v8
  get_error
- cudnn_frontend::PointWiseDesc_v8
  get_raw_desc
- cudnn_frontend::PointWiseDesc_v8
  get_status
- cudnn_frontend::PointWiseDesc_v8
  getPointWiseMode
- cudnn_frontend::PointWiseDesc_v8
  getPortCount
- cudnn_frontend::PointWiseDesc_v8
  initialize_managed_backend_pointer
- cudnn_frontend::PointWiseDesc_v8
  lower_clip
- cudnn_frontend::PointWiseDesc_v8
  lower_clip_slope
- cudnn_frontend::PointWiseDesc_v8
  math_precision
- cudnn_frontend::PointWiseDesc_v8
  mode
- cudnn_frontend::PointWiseDesc_v8
  nan_propagation
- cudnn_frontend::PointWiseDesc_v8
  operator=
- cudnn_frontend::PointWiseDesc_v8
  operator=
- cudnn_frontend::PointWiseDesc_v8
  pointer
- cudnn_frontend::PointWiseDesc_v8
  PointWiseDesc_v8
- cudnn_frontend::PointWiseDesc_v8
  PointWiseDesc_v8
- cudnn_frontend::PointWiseDesc_v8
  PointWiseDesc_v8
- cudnn_frontend::PointWiseDesc_v8
  PointWiseDescBuilder_v8
- cudnn_frontend::PointWiseDesc_v8
  set_error
- cudnn_frontend::PointWiseDesc_v8
  set_status
- cudnn_frontend::PointWiseDesc_v8
  softplus_beta
- cudnn_frontend::PointWiseDesc_v8
  status
- cudnn_frontend::PointWiseDesc_v8
  swish_beta
- cudnn_frontend::PointWiseDesc_v8
  upper_clip
- cudnn_frontend::PointWiseDesc_v8
  ~PointWiseDesc_v8